import request from '@/utils/request'

// 查询校招培训列表
export function listSchoolplan(query) {
  return request({
    url: '/newstaff/schoolplan/list',
    method: 'get',
    params: query
  })
}

// 查询校招培训详细
export function getSchoolplan(id) {
  return request({
    url: '/newstaff/schoolplan/' + id,
    method: 'get'
  })
}

// 新增校招培训
export function addSchoolplan(data) {
  return request({
    url: '/newstaff/schoolplan',
    method: 'post',
    data: data
  })
}

// 修改校招培训
export function updateSchoolplan(data) {
  return request({
    url: '/newstaff/schoolplan',
    method: 'put',
    data: data
  })
}

// 删除校招培训
export function delSchoolplan(id) {
  return request({
    url: '/newstaff/schoolplan/' + id,
    method: 'delete'
  })
}

// 导出校招培训
export function exportSchoolplan(query) {
  return request({
    url: '/newstaff/schoolplan/export',
    method: 'get',
    params: query
  })
}

// 批量校招培训
export function batchStatus(id) {
  return request({
    url: '/newstaff/schoolplan/batchStatus/' + id,
    method: 'get'
  })
}
